Subject: Re: Control your disk usage in PG: Introduction to Disk Quota Extension

From: Stephen Frost <[email-masked]>
Date: Mon, 26 Feb 2024 17:38:50 -0500

Greetings,

* Xing Guo ([email-masked]) wrote:
> Looks that many hackers are happy with the original patch except that
> the original patch needs a simple rebase, though it has been 3 years.

I'm not completely against the idea of adding these hooks, but I have to
say that it's unfortunate to imagine having to use an extension for
something like quotas as it's really something that would ideally be in
core.

> Shall we push forward this patch so that it can benefit extensions not
> only diskquota?

Would be great to hear about other use-cases for these hooks, which
would also help us be comfortable that these are the right hooks to
introduce with the correct arguments.  What are the other extensions
that you're referring to here..?

Thanks,

Stephen